<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.google.android.material.card.MaterialCardView
            style="?attr/materialCardViewFilledStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="16dp"
            app:cardBackgroundColor="?attr/colorSurfaceContainer">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingStart="16dp"
                android:paddingTop="8dp"
                android:paddingEnd="16dp">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/tv_number"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="123456789"
                        android:textColor="?attr/colorPrimary"
                        android:textSize="16sp"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="2024-05-13 18:00:00"
                        android:textColor="?attr/colorOnSurfaceVariant"
                        android:textSize="14sp"
                        app:layout_constraintBaseline_toBaselineOf="@id/tv_number"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/tv_info"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:text="mcc: 310    mnc: 240   coutry: us  sendCount: 111"
                    android:textColor="?attr/colorOnSurfaceVariant"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center|end"
                    android:orientation="horizontal">

                    <Space
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_del"
                        style="@style/Widget.Material3.Button.TonalButton"
                        android:layout_width="60dp"
                        android:layout_height="40dp"
                        android:layout_marginEnd="16dp"
                        android:padding="0dp"
                        app:icon="@drawable/ic_delete"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp" />

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btn_restore"
                        style="@style/Widget.Material3.Button.TonalButton"
                        android:layout_width="60dp"
                        android:layout_height="40dp"
                        android:padding="0dp"
                        app:icon="@drawable/ic_settings_backup_restore"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp" />
                </LinearLayout>

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>
    </LinearLayout>
</layout>